<form novalidate [formGroup]="form"  (ngSubmit)="onSubmit()">
  <table>
    <tr>
      <th>Name</th>
      <td>
        <input type="text" formControlName="name" />
      </td>
    </tr>

    <tr>
      <th>Age</th>
      <td>
        <input type="number" formControlName="age" />
      </td>
    </tr>

    <tr>
      <th>Date</th>
      <td>
        <input type="date" formControlName="created"  />
      </td>
    </tr>

    <tr>
      <th></th>
      <td>
        <button type="submit" [disabled]="form.invalid">REGISTER</button>
      </td>
    </tr>
  </table>
</form>
